#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBB,0x95,0xAD,0xDA,0x6C,0x53,0x9F,0xB4,0xEF,0x56,0xEB,0x65,
		0xD9,0x5B,0x17,0x87,0x81,0x21,0x9F,0x77,0xD9,0xDF,0x8E,0x9F,
		0xC1,0xF9,0x28,0x40,0xB3,0x9D,0xF9,0x5B,0x71,0x61,0xA1,0xF5,
		0x05,0x4E,0x5C,0xB7,0xC9,0x1F,0x5F,0x69,0x03,0xFD,0x08,0x1B,
		0x94,0x95,0x4B,0x21,0x9F,0xB0,0xB3,0xCE,0xBB,0x3F,0xC3,0x62,
		0xEB,0x0A,0xC3,0x47,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
